<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="XDC/SyncGeneric" title="Generic Synchronization Provider" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
    <tr><td colspan="2">  <form><p>Instances of this module provide basic synchronization between threads calling the wait() and signal() functions define by the  <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/knl/Sync.html">Sync</a> module.</p><p></p></form></td></tr>
    <tr><td colspan="2">
      <control type="checkbox" label="Add SyncGeneric to my configuration" value="value:this.$used" bold="true"/></td>
    </tr>
  </table>
</body></html>
</page>

<page name="Instance" title="Instance Settings" DPI="10">
<html><body><table>
  <tr>
    <td>
      <h1>SyncGenerics</h1>
      <table><tr>
        <td><control type="listbox" id="master" text="value:this.$activeInstance" width="10" height="15" align="fill" labels="value:this"/></td>
        <td>
          <control type="pushbutton" label="Add ..." align="fill" link="action:New"/>
          <control type="pushbutton" label="Remove" align="fill" link="action:Delete" context="value:widget.master.selection"/>
        </td>
      </tr></table>
    </td>
    <td context="value:widget.master.selection">
      <h1>Required Settings</h1>
      <table>
        <tr>
          <td><control type="label" label="Handle" align="left"/></td>
          <td><control type="editbox"
               value="value:this.instance.name"
               tooltip="Handle name"/></td>
        </tr>
      </table>
      <h1>Additional Settings</h1>
      <table>
        <tr>
          <td><control type="label" label="User signal function" align="left"/></td>
          <td><control type="editbox"
             value="value:this.userSignal"
             tooltip="value:this.userSignal.$summary"/></td>
          <td><control type="label" label="Arg" align="left"/></td>
          <td><control type="editbox"
             value="value:this.signalArg"
             tooltip="value:this.signalArg.$summary"/></td>
        </tr>
        <tr>
          <td><control type="label" label="User wait function" align="left"/></td>
          <td><control type="editbox"
             value="value:this.userWait"
             tooltip="value:this.userWait.$summary"/></td>
          <td><control type="label" label="Arg" align="left"/></td>
          <td><control type="editbox"
             value="value:this.waitArg"
             tooltip="value:this.waitArg.$summary"/></td>
        </tr>
        <tr>
          <td><control type="label" label="User query function" align="left"/></td>
          <td><control type="editbox"
             value="value:this.userQuery"
             tooltip="value:this.userQuery.$summary"/></td>
           <td></td><td></td>
        </tr>
      </table>
    </td>
  </tr>
</table></body></html>
</page>
</gep>

